#ifndef __COLOR3D_H__
#define __COLOR3D_H__

#include<stdio.h>

class Color3D {
  public:
    float color[4];

    Color3D(float r, float g, float b, float a);
    Color3D(float r, float g, float b);
    Color3D(void);
  
    bool operator == (Color3D &c);
  
    float R(void);
    float G(void);
    float B(void);
    float A(void);
    void R(float r);
    void G(float g);
    void B(float b);
    void A(float a);
    
    void print(void);
    void println(void);
    
    void save(FILE *f);
    void load(FILE *f);
};

#endif
