#ifndef __LIGHT3D_H__
#define __LIGHT3D_H__

#include"color3d.h"
#include"vector3d.h"

class Light3D {
  public:
    Color3D    ambient;
    Color3D    diffuse;
    Color3D    specular;
    Vector3D   position;

      // Constructoras
    Light3D();
  
      // OpenGL
    void InitLight(void);
    void toOpenGL(void);
    
      // Calculos curiosos
    bool visible(Vector3D &planeeq);
    
      // Cargar/salvar luces
    void save(FILE *f);
    void load(FILE *f);
};

#endif
