/*
 * NOTA[0]: ESTO NO ES UN CARGADOR DE FICHEROS VRML GENERICO!!!!!!
 *          NO USAR CON UN WRL DE VERDAD!!!
 *          ESTE CODIGO ESTA DISEADO PARA CARGAR UN DETERMINADO PATRON DE FICHEROS VRML ENCONTRADOS POR INTERNET
 *          DE MODO MUY ESPECIFICO. INTENTAR USARLO CON CUALQUIER VRML RESULTARA EN UN FRUSTRANTE FRACASO
 *          SI NO SE PRODUCE ANTES UN TERRIBLE "HARDCORE DUMPED".
 * NOTA[1]: EL CODIGO ES MUY CONFUSO, ILEGIBLE Y ADHOC PERO ESTA HECHO A CONTRARRELOJ. DISCULPEN LAS MOLESTIAS.
 */

#include<stdio.h>
#include<ctype.h>
#include<stdlib.h>
#include<math.h>

#include"loadvrml.h"

#define MAX_TOKEN   100

static int linea;
static bool lfchar;

// SmoothModelSimple: Es una rutina que interpola normales. Es decir, primero se calculan las normales
//                    como se suele hacer habitualmente: la misma para todos los vertices de la cara.
//                    Luego hacemos la media a saco. Dicen que generalmente queda mejor si se hace
//                    ponderada, pero por falta de tiempo se ha dejado en la wishlist.

void SmoothModelSimple(Model3D &md)
{
  int i, j;
  for(i = 0; i < md.nvertex; i++)
  {
    Vector3D acum;
    
    acum.set(0,0,0);
    for(j = 0; j < md.nfaces; j++)
    {
      if(md.vertexlist[i] == md.facelist[j]->P0) acum = acum + md.facelist[j]->N0;
      if(md.vertexlist[i] == md.facelist[j]->P1) acum = acum + md.facelist[j]->N1;
      if(md.vertexlist[i] == md.facelist[j]->P2) acum = acum + md.facelist[j]->N2;
    }
    acum.normalize();
    for(j = 0; j < md.nfaces; j++)
    {
      if(md.vertexlist[i] == md.facelist[j]->P0) md.facelist[j]->N0 = acum;
      if(md.vertexlist[i] == md.facelist[j]->P1) md.facelist[j]->N1 = acum;
      if(md.vertexlist[i] == md.facelist[j]->P2) md.facelist[j]->N2 = acum;
    }
  }
}

bool separator(int c)
{
  if(c == '\n')
  {
    lfchar = true;
    linea++;
    return true;
  }
  if(c == ' ' || c == '\r' || c == '\t')
  {
    lfchar = false;
    return true;
  } else {
    return false;
  }
}

bool reservedsign(int c)
{
  return (c == '[' || c == ']' || c == '{' || c == '}' || c == '"');
}

void toupperstring(char *s)
{
  while(*s) *s++ = toupper(*s);
}

int readtoken(FILE *f, char *s, int n)
{
  int c;
  
  while(n-- && !separator(c = fgetc(f)) && !reservedsign(c) && c != EOF)
   *s++ = c;
  *s = '\0';
  if(c == EOF)
    return -1;
  if(!n)
  {
    while(!separator(c = fgetc(f)) && !reservedsign(c) && c != EOF);
    if(c == EOF)
      return -1;
    ungetc(c, f);
  }
  return 0;
}

int LoadInfo(char *fname, FILE *f, Model3D &md)
{
  bool okiz = false;
  int c;
  char tmp[MAX_TOKEN+1];
  
  while(1)
  {
    while(separator(c = fgetc(f)) && c != EOF);
    if(c == EOF)
    {
      fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
      return -1;
    }
    
    if(!okiz)
    {
      if(c == '{')
        okiz = true;
      else {
        fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c);
        return -1;
      }
    } else {
      if(c == '}')
        return 0;
      else {
          // Leemos el token
        ungetc(c, f);
        if(readtoken(f, tmp, MAX_TOKEN))
        {
          fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
          return -1;
        }
        toupperstring(tmp);
          // Evaluamos el token
        if(!strcmp(tmp, "STRING"))
        {
          while(separator(c = fgetc(f)) && !reservedsign(c) && c != EOF);
          if(c == EOF)
          {
            fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
            return -1;
          }
          if(c != '"')
          {
            fprintf(stderr, "error:%s:%d:expected string.\n", fname, linea);
            return -1;
          }
          fprintf(stderr, "------ %s CREDITS --------------------------------------------\n", fname);
          while((c = fgetc(f)) != '"' && c != EOF)
          {
            if(c == '\n') linea++;
            fputc(c, stderr);
          }
          fputc('\n', stderr);
          if(c == EOF)
          {
            fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
            return -1;
          }
        } else {
          fprintf(stderr, "error:%s:%d:unexpected token '%s'.\n", fname, linea, tmp);
          return -1;
        }
      }
    }
  }
  return 0;
}

int LoadVertexList(char *fname, FILE *f, Model3D &md)
{
  int c, i;
  char tmp[MAX_TOKEN+1];
  float point[3];
  Vector3D po;
  
  while(separator(c = fgetc(f)) && c != EOF);
  if(c == EOF)
  {
    fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
    return -1;
  }
  if(c != '{')
  {
    fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c);
    return -1;
  }
  while(separator(c = fgetc(f)) && c != EOF);
  if(c == EOF)
  {
    fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
    return -1;
  }
  ungetc(c, f);
  if(readtoken(f, tmp, MAX_TOKEN))
  {
    fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
    return -1;
  }
  toupperstring(tmp);
  if(strcmp(tmp, "POINT"))
  {
    fprintf(stderr, "error:%s:%d:unexpected token '%s'.\n", fname, linea, tmp);
    return -1;
  }
  while(separator(c = fgetc(f)) && c != EOF);
  if(c == EOF)
  {
    fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
    return -1;
  }
  if(c != '[')
  {
    fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c);
    return -1;
  }
  while(1)
  {
    for(i = 0; i < 3; i++)
    {
      while(separator(c = fgetc(f)) && c != EOF);
      ungetc(c, f);
      if(readtoken(f, tmp, MAX_TOKEN))
      {
        fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
        return -1;
      }
      sscanf(tmp, "%f", point + i);
      point[i] *= 1000;
    }
    //printf("Cargando punto: (%e,%e,%e)\n", point[0], point[1], point[2]);
    po = Vector3D(point[0], point[1], point[2]);
    md.FindOrAddVertex(po);
    while(separator(c = fgetc(f)) && c != EOF);
    if(c == ']')
      break;
    if(!(((c >= '0') && (c <= '9')) || (c == '.') || (c == '-')))
    {
      fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c);
      return -1;
    }
    ungetc(c, f);
  }
  while(separator(c = fgetc(f)) && c != EOF);
  if(c == EOF)
  {
    fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
    return -1;
  }
  if(c != '}')
  {
    fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c);
    return -1;
  }
  return 0;
}

int LoadFaces(char *fname, FILE *f, Model3D &md)
{
  int i, c, vl[4], t_counter = 0;
  char tmp[MAX_TOKEN+1];
  Face3D *face;
  Vector3D def_norm = Vector3D(0,1,0);
  Material3D def_mat = Material3D();
  
  while(separator(c = fgetc(f)) && c != EOF);
  if(c == EOF)                      { fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);             return -1; }
  if(c != '{')                      { fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c);    return -1; }
  while(separator(c = fgetc(f)) && c != EOF);
  if(c == EOF)                      { fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);             return -1; }
  ungetc(c, f);
  if(readtoken(f, tmp, MAX_TOKEN))  { fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);             return -1; }
  toupperstring(tmp);
  if(strcmp(tmp, "INDEXEDFACESET")) { fprintf(stderr, "error:%s:%d:unexpected token '%s'.\n", fname, linea, tmp); return -1; }
  while(separator(c = fgetc(f)) && c != EOF);
  if(c == EOF)                      { fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);             return -1; }
  if(c != '{')                      { fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c);    return -1; }
  while(separator(c = fgetc(f)) && c != EOF);
  if(c == EOF)                      { fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);             return -1; }
  ungetc(c, f);
  if(readtoken(f, tmp, MAX_TOKEN))  { fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);             return -1; }
  toupperstring(tmp);
  if(strcmp(tmp, "COORDINDEX"))     { fprintf(stderr, "error:%s:%d:unexpected token '%s'.\n", fname, linea, tmp); return -1; }
  while(separator(c = fgetc(f)) && c != EOF);
  if(c == EOF)                      { fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);             return -1; }
  if(c != '[')                      { fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c);    return -1; }
  while(1)
  {
    for(i = 0; i < 4; i++)
    {
      while(separator(c = fgetc(f)) && c != EOF);
      ungetc(c, f);
      if(readtoken(f, tmp, MAX_TOKEN)) { fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea); return -1; }
      sscanf(tmp, "%d", vl+i);
    }
    if(vl[3] != -1) { fprintf(stderr, "error:%s:%d:This loader only support 3-vertex polygons (triangles).\n", fname, linea); return -1; }
    for(i = 0; i < 3; i++)
      if(vl[i] < 0 || vl[i] >= md.nvertex) { fprintf(stderr, "error:%s:%d:Vertex %d doesn't exist.\n", fname, linea, vl[i]); return -1; }
    //printf("Loading face (%d, %d, %d).\n", vl[0], vl[1], vl[2]);
    face = md.AddFace(md.vertexlist[vl[0]], md.vertexlist[vl[1]], md.vertexlist[vl[2]], def_norm, def_norm, def_norm, def_mat,0);
    face->CalculateNormal();
    t_counter ++;
    while(separator(c = fgetc(f)) && c != EOF);
    if(c == ']')
      break;
    if(!(((c >= '0') && (c <= '9')) || (c == '-'))) { fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c); return -1; };
    ungetc(c, f);
  }
  while(separator(c = fgetc(f)) && c != EOF);
  if(c == EOF)                      { fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);             return -1; }
  if(c != '}')                      { fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c);	  return -1; }
  while(separator(c = fgetc(f)) && c != EOF);
  if(c == EOF)                      { fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);             return -1; }
  if(c != '}')                      { fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c);	  return -1; }
  
  return 0;
}

Model3D LoadVRML(char *fname, char *modelname, Material3D mat)
{
  Model3D md = Model3D(modelname);
  int c;
  bool fin;
  bool in_model = false;
  char tmp[MAX_TOKEN + 1];
  bool loaded_vertexs = false;
  FILE *f;
  
  if((f = fopen(fname, "r")) == NULL)
  {
    fprintf(stderr, "error:%s:can't open file.\n", fname);
    return md;
  }
  
  linea = 1;
  lfchar = true;
  fin = false;
  
  while(!fin)
  {
      // Nos saltamos espacios
    while(separator(c = fgetc(f)) && c != EOF);
    if(c == EOF)
    {
      md.reset();
      fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
      fclose(f);
      return md;
    }
    
    if(c == '}')
    {
      // fprintf(stderr, "ok:%s:Loaded succesfully.\n", fname);
      if(in_model)
        fin = true;
      else {
        fprintf(stderr, "error:%s:%d:unexpected token '}'\n", fname, linea);
        md.reset();
        fclose(f);
        return md;
      }
    } else
    if(c == '#')
    {
      if(lfchar)
      {
        while((c = fgetc(f)) != '\n' && c != EOF);
        if(c == EOF)
        {
          md.reset();
          fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
          fclose(f);
          return md;
        }
        linea++;
      } else {
        fprintf(stderr, "error:%s:%d:unexpected token '#'\n", fname, linea);
        md.reset();
        fclose(f);
        return md;
      }
    } else {
        // Recogemos el token
      ungetc(c, f);
      if(readtoken(f, tmp, MAX_TOKEN))
      {
        md.reset();
        fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
        fclose(f);
        return md;
      }
      toupperstring(tmp);
    
        // Evaluamos el token
      if(!strcmp(tmp, "SEPARATOR"))
      {
        if(in_model)
        {
          if(!loaded_vertexs)
          {
            fprintf(stderr, "error:%s:%d:I can't load faces. VertexList not loaded yet.\n", fname, linea);
            md.reset();
            fclose(f);
            return md;
          }
          LoadFaces(fname, f, md);
        } else {
          in_model = true;
          while(separator(c = fgetc(f)) && c != EOF);
          if(c == EOF || c != '{')
          {
            md.reset();
            if(c == EOF)
              fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
            else
              fprintf(stderr, "error:%s:%d:unexpected char '%c'.\n", fname, linea, c);
            fclose(f);
            return md;
          }
        }
      } else
      if(in_model)
      {
        if(!strcmp(tmp, "SHAPEHINTS"))
        {
          while((c = fgetc(f)) != '}' && c != EOF)
            if(c == '\n') linea++;
          if(c == EOF)
          {
            fprintf(stderr, "error:%s:%d:unexpected EOF.\n", fname, linea);
            md.reset();
            fclose(f);
            return md;
          }
        } else
        if(!strcmp(tmp, "INFO"))
        {
          if(LoadInfo(fname, f, md))
          {
            md.reset();
            fclose(f);
            return md;
          }
        } else
        if(!strcmp(tmp, "COORDINATE3"))
        {
          if(LoadVertexList(fname, f, md))
          {
            md.reset();
            fclose(f);
            return md;
          }
          loaded_vertexs = true;
        } else {
          md.reset();
          fprintf(stderr, "error:%s:%d:unexpected token '%s'.\n", fname, linea, tmp);
          fclose(f);
          return md;
        }
      } else {
        md.reset();
        fprintf(stderr, "error:%s:%d:unexpected token '%s'.\n", fname, linea, tmp);
        fclose(f);
        return md;
      }
    }
  }
  
  fclose(f);
  
  md.CalculateBoundings();
  
  SmoothModelSimple(md);
  
  return md;
}
